﻿:root {
    --scadaTaletHeaderHeight: 6rem;
    --tabletFontPrimary: '';
    --tabletFontSecondary: '';
    --tabletFontSizeBig: 3.5rem;
    --tabletFontSizeMedium: 1.6rem;
    --tabletFontSizeSmall: '';
    --tabletFontColorPrimary: rgb(34,47,75);
    --tabletFontColorSecondary: '';
}



.scadaTabletPage {
    display: grid;
    grid-gap: 1rem;
    width: 100%;
    height: -webkit-fill-available;
}
.scadaTabletPage_header {
    height: fit-content;
    width: 100%;
    background-color: #3b3f4f;
}
.scadaTabletPage_body {
    height:90%;
    width:100%;
}
.scadaTabletPage_header_btnGroup {
    display:grid;
    grid-auto-flow:column;
    grid-template-columns:auto;

}
.scadaTabletPage_header_btnGroup_btn {
    color: white;
    position: relative;
    font-size: var(--tabletFontSizeBig);
    margin-left: auto;
    margin-right: auto;
    top: 0;
    vertical-align: middle;
    margin-top: 0.4rem;
    transition: all linear 0.2s;
}


.scadaTabletPage_header_btnGroup_btn_active {
        transform: rotate(45deg);
        transition: all linear 0.2s;
}

/*USER MENU*/

.tabletUserMenu_Body {
    width: 90%;
    text-align: center;
    text-transform: uppercase;
    line-height: 6rem;
    font-weight: 600;
    color: var(--tabletFontColorPrimary);
    margin-top: 4rem;
    margin-left: auto;
    margin-right: auto;
    padding-top: 3rem;
    padding-bottom: 3rem;
  
    background-color: whitesmoke;
    font-size: var(--tabletFontSizeMedium);
}

/*ADD USER MENU*/
.tabletUserMenu_AddUser_Header {
    padding-top:1rem;
}
.tabletUserMenu_AddUser_Header_Title {
    font-size: var(--tabletFontSizeBig);
    padding: 1.5rem;
}
.tabletUserMenu_AddUser_Body {
    font-size:var(--tabletFontSizeMedium);

}


/*USER LIST MENU*/


.tabletUserMenu_UserList {
   
}
.tabletUserMenu_UserList_Header {
   padding-top:1rem;
}
.tabletUserMenu_UserList_Header_Title {
    font-size:var(--tabletFontSizeBig);
}
.tabletUserMenu_UserList_Body {
}
.tabletUserMenu_UserList_Body_Table {
    font-size:var(--tabletFontSizeMedium);
}
.tabletUserMenu_UserList_Body_Table_Button {
    font-size: var(--tabletFontSizeMedium) !important;
}

/*ROLE MANAGEMENT MENU*/

.tabletUserMenu_RoleManagement {
    height: fit-content;
    min-height: 30rem;
    background-color: whitesmoke;
    border-top-left-radius: 2.5rem;
    border-top-right-radius: 2.5rem;
}
.tabletUserMenu_RoleManagement_Title {
   font-size:var(--tabletFontSizeBig);
}
.tabletUserMenu_RoleManagement_Menu {
    display: grid;
    grid-template-columns: 80% 20%;
}
.tabletUserMenu_RoleManagement_Menu_Header {
    width: 60%;
    height: 3rem;
    background-color: whitesmoke;
    border: 0.1rem solid;
    font-size: var(--tabletFontSizeMedium);
    padding: 1rem 1rem 1rem 1rem;
}
.tabletUserMenu_RoleManagement_Menu_Body {
    display: grid;
    position: relative;
    width: 60%;
    font-size: var(--tabletFontSizeMedium);
}
.tabletUserMenu_RoleManagement_Menu_Body_Item {
    border: 0.1rem solid;
    padding: 1rem 1rem 1rem 1rem;
}

/*MATERIAL MENU */

.tabletMaterialMenu {
  
}
.tabletMaterialMenu_Header {
  padding-top:1rem;
}
.tabletMaterialMenu_Header_Title {
    font-size: var(--tabletFontSizeBig);
}
.tabletMaterialMenu_Header_Button {
    font-size: var(--tabletFontSizeMedium) !important;
    margin-right: -0.679rem;
    margin-top: -0.1rem;
    border-top-right-radius: 2.5rem;
    height: 4.5rem;
}
.tabletMaterialMenu_Body_Menu {
    font-size: var(--tabletFontSizeMedium);
}
.tabletMaterialMenu_Body_Table{
    font-size:var(--tabletFontSizeMedium);
}
.tabletMaterialMenu_Body_Table_Button {
    font-size: var(--tabletFontSizeMedium) !important;
}